## Performance tuning options

Although rendering performance is often dominated by the combination of image resolution, shading parameters, and input scene, performance can be be further tuned by adjusting the number of worker threads, and the spatial subdivision parameters. Tachyon normally sets the number of worker threads to match the number of available CPU cores. In some cases, such as when running Tachyon on a large shared memory system that is already under load from other processes, it may be beneficial to limit the number of worker threads to a number smaller than or equal to the number of idle processor cores.

- -numthreads thread_count: Command line override for the number of threads to spawn during the ray tracing process. When this options is not specified, Tachyon automatically determines the number of threads to spawn based on the number of CPUs available.
- -nobounding: Disable automatic generation of hierarchical grid-based acceleration data structures (not recommended for normal use, intended for testing only).
- -boundthresh object_count: Override default threshold for subdividing grid cells with a new grid